import React from 'react'
import styled from 'styled-components'
import '../core/css/style.scss'


// Styling
const StyledDiv = styled.div`
  padding-left: 1vh;
  padding-right: 1vh;
  padding-top: 1.5vh;
  padding-bottom: 1.5vh;
  width: 100%;
  p{
    margin: 0 !important;
  }
  .tamanho3{
    width: 28.1%;
    margin-left: 0.8vh !important;
    margin-right: 1vh;
  }
`

// Page
class ImgTextoRight extends React.Component {
  constructor (props) {
    super(props)
    this.state = {
      Content: this.props.Content,
      src: this.props.src,
      alt: this.props.alt
    }
  }

  render () {
    return (
      <StyledDiv className='grid-row caixa caixa-textoImagem-right'>

        <div className='tamanho7 meio text'>
          <p>{this.state.Content}</p>
        </div>
        <div className='tamanho3 meio image'>
          <div>
            <img src={this.state.src} alt={this.state.alt} />
          </div>
        </div>

      </StyledDiv>
    )
  }
}
export default ImgTextoRight