import React from 'react'
import styled from 'styled-components'
import CaixaIcone from '../components/CaixaIcone'
import ListaAnimada from '../components/ListaAnimada'
import Ref from '../components/Ref'

const StyledDiv = styled.div`
ul {
  padding-left: 1.25em;
  margin-bottom: 0;
}
.lista-animada{
  margin-top: -2vh;
}
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Medidas de descontaminação</h2>
        <div className='page'>
          <p><strong>Medidas de descontaminação</strong></p>
          <p>Dentre as substâncias que podem levar à intoxicação aguda, temos<Ref Id="9" />:</p>

          <ListaAnimada ListContent={[
            "Produtos de uso domiciliar: raticidas, soda cáustica, hipoclorito de sódio o presente em alvejantes; querosene e outros solventes, além de produtos de limpeza, de higiene pessoal e cosméticos;",
            "Pesticidas e inseticidas;",
            "Substâncias psicoativas: álcool, cocaína, Dietilamida do Ácido Lisérgico (LSD);",
            "Metais pesados;",
            "Tóxicos inalados: amônia, cloro, monóxido de carbono, gás sulfídrico, gás cianídrico;",
            "Plantas tóxicas;",
            "Medicamentos."
          ]}/>

          <CaixaIcone type="saibamais" title="PARA SABER MAIS" Content={[
            <span>Acesse os demais agentes tóxicos em: <strong><a href="http://www.cvs.saude.sp.gov.br/up/MANUAL%20DE%20TOXICOLOGIA%20CLÍNICA%20-%20COVISA%202017.pdf" target="_blank">Manual de toxicologia clínica</a></strong>.</span>
          ]} />
        </div>
      </StyledDiv>
    )
  }
}
export default Page
