import React from 'react'
import styled from 'styled-components'
import CaixaIcone from '../components/CaixaIcone'
import CaixaContorno from '../components/CaixaContorno'

const StyledDiv = styled.div`
`

class Page extends React.Component {
  componentDidMount() {

  }

  render() {
    return (
      <StyledDiv className='content'>
        <h2>Considerações Finais</h2>
        <div className='page'>
          <p style={{marginBottom: "2vh"}}>Neste material, vimos todo o caminho a ser percorrido do atendimento inicial ao diagnóstico sindrômico, interpretando o algoritmo ABCDE e identificando a situação de emergência.</p>
          <CaixaContorno Content={[
            <span>A partir do que foi estudado, você conseguirá identificar e tratar as síndromes  tóxicas, intoxicação aguda por medicamentos e por plantas e conduzirá da melhor forma as medidas de descontaminação.</span>
          ]} />
          <p>Esperamos que os conteúdos aqui abordados o auxiliem no atendimento aos pacientes com intoxicação aguda por medicamentos e por plantas e que você trabalhe com as medidas de prevenção destas intoxicações na atenção primária.</p>
          <p>Até a próxima!</p>
          <CaixaIcone title="COMO CITAR ESTE MATERIAL" Content={[
            <span>ANDRADE, Flávia Castro. Manejo de intoxicações agudas. In: UNIVERSIDADE ABERTA DO SUS. UNIVERSIDADE FEDERAL DO MARANHÃO. Cuidado nas queixas comuns no atendimento à demanda espontânea na Atenção Primária à Saúde. <strong>Cuidado em casos de mordedura de animais e intoxicação por animais peçonhentos, plantas tóxicas e medicamentos.</strong> São Luís: UNA-SUS; UFMA, 2021.</span>
          ]}/>
        </div>
      </StyledDiv>
    )
  }
}
export default Page
